Bug 842748 - [TEXT] [backend] [Host Networking] DC/CL 3.0 wrong error message on detach VLAN from host which is not in maintanace
[TEXT] [backend] [Host Networking] DC/CL 3.0 wrong error message on detach VL...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Muli Salem
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 10:00 EDT by Martin Pavlik
Modified: 2016-02-10 14:49 EST (History)
8 users (show)

See Also:
Fixed In Version: si17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 (174.82 KB, image/png)
2012-07-24 10:00 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-07-24 10:00:29 EDT
Created attachment 600035 [details]
screenshot 1

Description of problem:
If user is trying to disconnect VLAN from host NIC in DC/CL 3.0 and the host is not in maintenance mode following error appears. (screenshot 1)

Error:

dell-05:

    Cannot ${action} ${type}. Network is being used by at least one Cluster.

This does not tell the user what is the real problem or what to do in order to disconnect VLAN.


Version-Release number of selected component (if applicable):
oVirt Engine Version: '3.1.0-7.el6ev' 

How reproducible:
100%

Steps to Reproduce:
1. Attach VLAN to host NIC (DC/CL 3.0)
2. Try to detach VLAN from NIC while host is active (see screenshot 1)

  
Actual results:
wrong error message appears

Expected results:
correct error message, e.g.

Error:

dell-05:

    Cannot edit network while Host is active, change the Host to maintenance and try again

Additional info:


2012-07-24 15:00:16,691 WARN  [org.ovirt.engine.core.bll.DetachNetworkFromVdsInterfaceCommand] (ajp-/0.0.0.0:8009-10) [a8e11c0] CanDoAction of action DetachNetworkFromVdsInterface failed. Reasons:NETWORK_CLUSTER_NETWORK_IN_USE
Comment 1 lpeer 2012-08-27 08:33:01 EDT
simon, can you please add the required wording for the message.
Comment 2 Simon Grinberg 2012-08-27 10:34:06 EDT
(In reply to comment #1)
> simon, can you please add the required wording for the message.

First why this is blocked in the first place? 
Removing a network that is not in use should be allowed even if the host is not in maintenance mode. I think that we've discussed this in the past. If you don't it's a regression compared to 3.0.

Now if the network is in use, and the only use we can detect is if there are VMs using it or it is a display/rhevm network:
   "Network can't be removed while it is in use by the host"
Comment 3 Martin Pavlik 2012-08-30 07:09:22 EDT
I tried to reproduce the scenario on IC157 It is blocked as well. 

Error message:
dell-08:
•	Network is in use by a cluster
Comment 4 Muli Salem 2012-08-30 07:27:03 EDT
So, is the following message that Martin suggested OK?:

Cannot edit Network while Host is Active, change the Host to Maintenance mode and try again.
Comment 6 Martin Pavlik 2012-08-31 02:05:30 EDT
Adding correct Simon
Comment 7 lpeer 2012-09-02 04:05:12 EDT
According to comment 3 this was the behaviour in 3.0.
Muli, the text you suggested in comment 4 is good, please use it
Comment 8 Muli Salem 2012-09-02 06:34:41 EDT
Proposed patch in:

http://gerrit.ovirt.org/#/c/7666/

Note You need to log in before you can comment on or make changes to this bug.